import request from '@/benyun/utils/request'

//查询数据
export function query(params:any) {
	return request({
		url: '/omsOrder/omsSource/page',
		method: 'get',
		params:params
	})
}

//查询上游平台店铺
export function queryShop(params:any) {
	return request({
		url: '/omsOrder/omsShop/queryBySourceId',
		method: 'get',
		params:params
	})
}

//新增数据
export function save(data:any) {
	return request({
		url: '/omsOrder/omsSource/save',
		method: 'POST',
		data:data
	})
}

//修改数据
export function update(data:any) {
	return request({
		url: '/omsOrder/omsSource/update',
		method: 'POST',
		data:data
	})
}

//删除数据
export function del(data:any) {
	return request({
		url: '/omsOrder/omsSource/delete',
		method: 'POST',
		params:data
	})
}